clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::ActionResult< PtrTy, true > Class Template Reference

`#include "clang/Sema/Ownership.h"`

## Public Member Functions
| ActionResult (bool Invalid=false)
| ActionResult (PtrTy V)
| ActionResult (const DiagnosticBuilder &)
| ActionResult (const void *)=delete
| ActionResult (volatile void *)=delete
bool | isInvalid () const
bool | isUsable () const
bool | isUnset () const
PtrTy | get () const
template<typename T >
T * | getAs ()
void | set (PtrTy V)
const ActionResult & | operator= (PtrTy RHS)
void * | getAsOpaquePointer () const

## Static Public Member Functions
static ActionResult | getFromOpaquePointer (void *P)

## Detailed Description

### template<typename PtrTy>
class clang::ActionResult< PtrTy, true >

Definition at line 189 of file Ownership.h.

## Constructor & Destructor Documentation

## ◆ ActionResult() [1/5]

template<typename PtrTy >

clang::ActionResult< PtrTy, true >::ActionResult | ( | bool | Invalid = `false` | ) |
| inline

Definition at line 197 of file Ownership.h.

## ◆ ActionResult() [2/5]

template<typename PtrTy >

clang::ActionResult< PtrTy, true >::ActionResult | ( | PtrTy | V | ) |
| inline

Definition at line 200 of file Ownership.h.

## ◆ ActionResult() [3/5]

template<typename PtrTy >

clang::ActionResult< PtrTy, true >::ActionResult | ( | const DiagnosticBuilder & |  | ) |
| inline

Definition at line 206 of file Ownership.h.

## ◆ ActionResult() [4/5]

template<typename PtrTy >

clang::ActionResult< PtrTy, true >::ActionResult | ( | const void * |  | ) |
| delete

## ◆ ActionResult() [5/5]

template<typename PtrTy >

clang::ActionResult< PtrTy, true >::ActionResult | ( | volatile void * |  | ) |
| delete

## Member Function Documentation

## ◆ get()

template<typename PtrTy >

PtrTy clang::ActionResult< PtrTy, true >::get | ( |  | ) | const
| inline

Definition at line 216 of file Ownership.h.

## ◆ getAs()

template<typename PtrTy >
template<typename T >

T* clang::ActionResult< PtrTy, true >::getAs | ( |  | ) |
| inline

Definition at line 221 of file Ownership.h.

## ◆ getAsOpaquePointer()

template<typename PtrTy >

void* clang::ActionResult< PtrTy, true >::getAsOpaquePointer | ( |  | ) | const
| inline

Definition at line 243 of file Ownership.h.

## ◆ getFromOpaquePointer()

template<typename PtrTy >

static ActionResult clang::ActionResult< PtrTy, true >::getFromOpaquePointer | ( | void * | P | ) |
| inline static

Definition at line 238 of file Ownership.h.

References clang::Result.

## ◆ isInvalid()

template<typename PtrTy >

bool clang::ActionResult< PtrTy, true >::isInvalid | ( |  | ) | const
| inline

Definition at line 212 of file Ownership.h.

## ◆ isUnset()

template<typename PtrTy >

bool clang::ActionResult< PtrTy, true >::isUnset | ( |  | ) | const
| inline

Definition at line 214 of file Ownership.h.

## ◆ isUsable()

template<typename PtrTy >

bool clang::ActionResult< PtrTy, true >::isUsable | ( |  | ) | const
| inline

Definition at line 213 of file Ownership.h.

## ◆ operator=()

template<typename PtrTy >

const ActionResult& clang::ActionResult< PtrTy, true >::operator= | ( | PtrTy | RHS | ) |
| inline

Definition at line 229 of file Ownership.h.

## ◆ set()

template<typename PtrTy >

void clang::ActionResult< PtrTy, true >::set | ( | PtrTy | V | ) |
| inline

Definition at line 223 of file Ownership.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Ownership.h